MultiColumnRestriction.EQRestriction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.restrictions

## Class MultiColumnRestriction.EQRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.MultiColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.MultiColumnRestriction.EQRestriction

- All Implemented Interfaces:
    Restriction, SingleRestriction
  Enclosing class:
    MultiColumnRestriction

      public static class MultiColumnRestriction.EQRestriction
      extends MultiColumnRestriction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.MultiColumnRestriction

      `MultiColumnRestriction.EQRestriction, MultiColumnRestriction.INRestriction, MultiColumnRestriction.InRestrictionWithMarker, MultiColumnRestriction.InRestrictionWithValues, MultiColumnRestriction.NotNullRestriction, MultiColumnRestriction.SliceRestriction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Term` | `value`

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.MultiColumnRestriction

      `columnDefs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EQRestriction(java.util.List<ColumnDefinition> columnDefs, Term value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFunctionsTo(java.util.List<Function> functions)` Adds all functions (native and user-defined) used by any component of the restriction to the specified list.
    `void` | `addRowFilterTo(RowFilter filter, SecondaryIndexManager indexMananger, QueryOptions options)` Adds to the specified row filter the expressions corresponding to this `Restriction`.
    `MultiCBuilder` | `appendTo(MultiCBuilder builder, QueryOptions options)` Appends the values of this `SingleRestriction` to the specified builder.
    `SingleRestriction` | `doMergeWith(SingleRestriction otherRestriction)`
    `protected boolean` | `isSupportedBy(Index index)` Check if this type of restriction is supported for by the specified index.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.MultiColumnRestriction

      `getColumnDefs, getColumnsInCommons, getFirstColumn, getLastColumn, hasSupportingIndex, isMultiColumn, mergeWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

      `appendBoundTo, hasBound, isContains, isEQ, isIN, isInclusive, isLIKE, isNotNull, isSlice`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

      `isOnToken`

- - ### Field Detail

    - #### value

          protected final Term value

  - ### Constructor Detail

    - #### EQRestriction

          public EQRestriction(java.util.List<ColumnDefinition> columnDefs,
                               Term value)

  - ### Method Detail

    - #### addFunctionsTo

          public void addFunctionsTo(java.util.List<Function> functions)

      Description copied from interface: `Restriction`
      Adds all functions (native and user-defined) used by any component of the restriction to the specified list.
      Parameters:
        `functions` - the list to add to

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### doMergeWith

          public SingleRestriction doMergeWith(SingleRestriction otherRestriction)

      Specified by:
        `doMergeWith` in class `MultiColumnRestriction`

    - #### isSupportedBy

          protected boolean isSupportedBy(Index index)

      Description copied from class: `MultiColumnRestriction`
      Check if this type of restriction is supported for by the specified index.
      Specified by:
        `isSupportedBy` in class `MultiColumnRestriction`
      Parameters:
        `index` - the secondary index
      Returns:
        `true` this type of restriction is supported by the specified index, `false` otherwise.

    - #### appendTo

          public MultiCBuilder appendTo(MultiCBuilder builder,
                                        QueryOptions options)

      Description copied from interface: `SingleRestriction`
      Appends the values of this `SingleRestriction` to the specified builder.
      Parameters:
        `builder` - the `MultiCBuilder` to append to.
        `options` - the query options
      Returns:
        the `MultiCBuilder`

    - #### addRowFilterTo

          public final void addRowFilterTo(RowFilter filter,
                                           SecondaryIndexManager indexMananger,
                                           QueryOptions options)

      Description copied from interface: `Restriction`
      Adds to the specified row filter the expressions corresponding to this `Restriction`.
      Parameters:
        `filter` - the row filter to add expressions to
        `indexMananger` - the secondary index manager
        `options` - the query options

Copyright © 2018 The Apache Software Foundation